com.rscja.deviceapi

## Enum FingerprintWithZAZ.BufferEnum

- java.lang.Object
- - java.lang.Enum<FingerprintWithZAZ.BufferEnum>
  - - com.rscja.deviceapi.FingerprintWithZAZ.BufferEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FingerprintWithZAZ.BufferEnum>
  Enclosing class:
    FingerprintWithZAZ

      public static enum FingerprintWithZAZ.BufferEnum
      extends java.lang.Enum<FingerprintWithZAZ.BufferEnum>

  模块缓冲区枚举
  Module buffer zone example.
  Author:
    liuruifeng

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `B0` 缓冲区0 buffer zone 0
    `B1` 缓冲区1 buffer zone 1
    `B2` 缓冲区2 buffer zone 2

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `value`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()` 获取枚举的值 Acquire example value
    `static FingerprintWithZAZ.BufferEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FingerprintWithZAZ.BufferEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### B0

          public static final FingerprintWithZAZ.BufferEnum B0

      缓冲区0
      buffer zone 0

    - #### B1

          public static final FingerprintWithZAZ.BufferEnum B1

      缓冲区1
      buffer zone 1

    - #### B2

          public static final FingerprintWithZAZ.BufferEnum B2

      缓冲区2
      buffer zone 2

  - ### Field Detail

    - #### value

          public final int value

  - ### Method Detail

    - #### values

          public static FingerprintWithZAZ.BufferEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FingerprintWithZAZ.BufferEnum c : FingerprintWithZAZ.BufferEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FingerprintWithZAZ.BufferEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      获取枚举的值
      Acquire example value
      Returns: